#
# spec file for package pdisk
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pdisk
Version:        0.8a
Release:        583.15
Summary:        Partitioning tool for PPC Macs
License:        MIT
Group:          System/Base
URL:            http://www.cfcl.com/~eryk/linux/pdisk/
#Ftp: ftp://cfcl.com/pub/ev/
Source:         pdisk.tar.gz
Patch1:         pdisk.makefile-gcc.patch
Patch2:         pdisk.makefile-deps.patch
Patch3:         pdisk.llseek.patch
Patch4:         pdisk.sys_errlist.patch
Patch5:         pdisk.edit-map-segfault.patch
Patch6:         pdisk.compute_block_size.patch
Patch7:         pdisk.default-type.patch
Patch8:         pdisk.linux-fs_h.patch
Patch9:         pdisk.type-punning.patch
Patch10:        pdisk.hfs-dump-format.patch
Patch11:        pdisk-strlen-check.patch
Patch12:        pdisk-dump_block-typepunning.patch
Patch13:        pdisk-write_partition_map-unused-result.patch
Patch14:        pdisk-print_range_list-unused-string.patch
Patch15:        pdisk.64bit.patch
Patch16:        pdisk-no-strnlen-needed.patch
ExclusiveArch:  ppc ppc64 ppc64le

%description
This tool allows you to edit Mac partition tables.

%prep
%autosetup -n pdisk -p1

%build
%make_build CFLAGS="%{optflags} -Wall -D_FILE_OFFSET_BITS=64"

%install
install -Dpm 0755 pdisk \
  %{buildroot}/sbin/pdisk
install -Dpm 0444 pdisk.8 \
  %{buildroot}%{_mandir}/man8/pdisk.8

%files
%doc README pdisk.html
/sbin/pdisk
%{_mandir}/man8/pdisk.8%{?ext_man}

%changelog
* Tue Jan 28 2020 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Thu Dec 12 2013 uweigand@de.ibm.com
- Support on powerpc64le-linux.
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Wed Dec  9 2009 meissner@suse.de
- remove strnlen() implementation from dump.c
* Wed Dec 17 2008 olh@suse.de
- define u32 as unsigned int, use fixed size in disk layout data
* Wed Oct 15 2008 ro@suse.de
- added ExclusiveArch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 21 2005 olh@suse.de
- fix compile warnings
* Fri Sep  9 2005 schwab@suse.de
- Fix last change.
* Thu Sep  8 2005 olh@suse.de
- do not pass NULL to strlen
* Sun Jun  5 2005 olh@suse.de
- fix mac partition label creation
  default partition type is now 'Linux'
  remove redefinition of lseek function
  remove sys_errlist usage
  fix segfault when leaving pdisk
* Fri Aug 13 2004 olh@suse.de
- remove some bogus casts
* Mon Jun 23 2003 olh@suse.de
- use doc macro
* Mon Nov 18 2002 schwab@suse.de
- Enable LFS.
* Tue Apr 10 2001 uli@suse.de
- fixed Group tag
* Tue Aug 22 2000 olh@suse.de
- delete the special char ' in MacOS volume name, needed for YaST2
* Thu Jul  6 2000 olh@suse.de
- update to 0.8a
* Thu Jul  6 2000 olh@suse.de
- add patch from YaST2 to have only one pdisk around, add Url
* Wed May 24 2000 uli@suse.de
- moved docs to %%{_docdir}
* Thu Apr  6 2000 olh@suse.de
- chmod a+rx,go-w /sbin/pdisk
* Thu Mar  2 2000 olh@suse.de
- use %%{_mandir}
* Mon Dec 13 1999 uli@suse.de
- inital version
